> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tiers Configurations

> This section describes endpoints that enable a third party to fetch the configuration of a merchant's tiers. This endpoint describes tier configurations for the merchants accessible via the provided credentials.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

<Note>
  An empty `tier_configurations` array (HTTP 200) means tiers aren't returnable —
  not necessarily that none are configured. It is empty unless the merchant has
  at least one tier configured, tiers are enabled for the merchant, and (when a
  user token is sent) the user has an active membership at the merchant.
</Note>

### Parameters

<ParamField query="merchant_id" type="string">
  Only return tier configuration for this merchant
</ParamField>

### Response

<ResponseField name="merchant_id" type="string">
  The merchant ID
</ResponseField>

<ResponseField name="bronze_tier" type="hash">
  Describes the configuration for the bronze tier

  <Expandable title="bronze_tier">
    <ResponseField name="id" type="string">
      The identifer of the tier record
    </ResponseField>

    <ResponseField name="name" type="string">
      The display name for the tier
    </ResponseField>

    <ResponseField name="description" type="string">
      Describes the perks of the tier. Can return markdown.
    </ResponseField>

    <ResponseField name="color" type="string">
      The hex color to use for this tier.
    </ResponseField>

    <ResponseField name="spend_threshold" type="integer">
      How much the user needs to spend to be part of the tier.
    </ResponseField>

    <ResponseField name="progress_paddle_image" type="hash">
      The image configured to render on the progress bar for tiers

      <Expandable title="progress_paddle_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="background_image" type="hash">
      The image configured to render as the background for the tier

      <Expandable title="background_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="icon_image" type="hash">
      The image configured to render as the icon for the tier

      <Expandable title="icon_image">
        <ResponseField name="icon_image.small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="icon_image.large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="icon_image.default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="silver_tier" type="hash">
  Describes the configuration for the silver tier

  <Expandable title="silver_tier">
    <ResponseField name="id" type="string">
      The identifer of the tier record
    </ResponseField>

    <ResponseField name="name" type="string">
      The display name for the tier
    </ResponseField>

    <ResponseField name="description" type="string">
      Describes the perks of the tier. Can return markdown.
    </ResponseField>

    <ResponseField name="color" type="string">
      The hex color to use for this tier.
    </ResponseField>

    <ResponseField name="spend_threshold" type="integer">
      How much the user needs to spend to be part of the tier.
    </ResponseField>

    <ResponseField name="progress_paddle_image" type="hash">
      The image configured to render on the progress bar for tiers

      <Expandable title="progress_paddle_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="background_image" type="hash">
      The image configured to render as the background for the tier

      <Expandable title="background_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="icon_image" type="string">
      The image configured to render as the icon for the tier

      <Expandable title="icon_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="gold_tier" type="string">
  Describes the configuration for the gold tier

  <Expandable title="gold_tier">
    <ResponseField name="id" type="string">
      The identifer of the tier record
    </ResponseField>

    <ResponseField name="name" type="string">
      The display name for the tier
    </ResponseField>

    <ResponseField name="description" type="string">
      Describes the perks of the tier. Can return markdown.
    </ResponseField>

    <ResponseField name="color" type="string">
      The hex color to use for this tier.
    </ResponseField>

    <ResponseField name="spend_threshold" type="integer">
      How much the user needs to spend to be part of the tier.
    </ResponseField>

    <ResponseField name="progress_paddle_image" type="hash">
      The image configured to render on the progress bar for tiers

      <Expandable title="progress_paddle_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="background_image" type="hash">
      The image configured to render as the background for the tier

      <Expandable title="background_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="icon_image" type="hash">
      The image configured to render as the icon for the tier

      <Expandable title="icon_image">
        <ResponseField name="small" type="string">
          The url for the small version of this image
        </ResponseField>

        <ResponseField name="large" type="string">
          The url for the large version of this image
        </ResponseField>

        <ResponseField name="default" type="string">
          The url for the version of the image usually used by Thanx
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="progress_bar_image" type="hash">
  The image configured to render as the progress bar for tiers

  <Expandable title="progress_bar_image">
    <ResponseField name="small" type="string">
      The url for the small version of this image
    </ResponseField>

    <ResponseField name="large" type="string">
      The url for the large version of this image
    </ResponseField>

    <ResponseField name="default" type="string">
      The url for the version of the image usually used by Thanx
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Get Tier Configurations theme={null}
  curl https://api.thanxsandbox.com/tier_configurations \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "tier_configurations": [
      {
        "merchant_id": "weoru",
        "bronze_tier": {
          "id": "wyreo23",
          "name": "Bronze",
          "description": "- $10 off purchase of $25+ - complimentary birthday dessert - special event invitations",
          "color": "#ba7556",
          "spend_threshold": 0,
          "progress_paddle_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/401/two_x/two_x-792ff91da8f50f9b5bfed570cef94295.png?1607038403",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/401/three_x/three_x-792ff91da8f50f9b5bfed570cef94295.png?1607038403",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/401/three_x/three_x-792ff91da8f50f9b5bfed570cef94295.png?1607038403"
          },
          "background_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/400/two_x/two_x-463afd8be775b5ac6909bbaabf692353.jpg?1607038403",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/400/three_x/three_x-463afd8be775b5ac6909bbaabf692353.jpg?1607038403",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/400/three_x/three_x-463afd8be775b5ac6909bbaabf692353.jpg?1607038403"
          },
          "icon_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/397/two_x/two_x-73db1207a1143a6f68374b119f826aa9.png?1607038181",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/397/three_x/three_x-73db1207a1143a6f68374b119f826aa9.png?1607038181",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/397/three_x/three_x-73db1207a1143a6f68374b119f826aa9.png?1607038181"
          }
        },
        "silver_tier": {
          "id": "fh457",
          "name": "Silver",
          "description": "Everything in Bronze, plus: - early reservations to community dinners when you reach Silver Tier",
          "color": "#bdbec0",
          "spend_threshold": 1500,
          "progress_paddle_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/403/two_x/two_x-432dd66aa8b2f7aededebc434fa36232.png?1607038424",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/403/three_x/three_x-432dd66aa8b2f7aededebc434fa36232.png?1607038424",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/403/three_x/three_x-432dd66aa8b2f7aededebc434fa36232.png?1607038424"
          },
          "background_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/402/two_x/two_x-1fbd60df2de3891d3f41d915bd2afef4.jpg?1607038423",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/402/three_x/three_x-1fbd60df2de3891d3f41d915bd2afef4.jpg?1607038423",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/402/three_x/three_x-1fbd60df2de3891d3f41d915bd2afef4.jpg?1607038423"
          },
          "icon_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/398/two_x/two_x-f7a86c1434d71199a717d2b0caa256ac.png?1607038197",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/398/three_x/three_x-f7a86c1434d71199a717d2b0caa256ac.png?1607038197",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/398/three_x/three_x-f7a86c1434d71199a717d2b0caa256ac.png?1607038197"
          }
        },
        "gold_tier": {
          "id": "ert235",
          "name": "Gold",
          "description": "Everything in Silver, plus: - complimentary seasonal pizza per year when you reach Gold Tier",
          "color": "#c8b55e",
          "spend_threshold": 3000,
          "progress_paddle_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/405/two_x/two_x-33c3dc14517c5d08b2c0869ef52c652b.png?1607038443",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/405/three_x/three_x-33c3dc14517c5d08b2c0869ef52c652b.png?1607038443",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/405/three_x/three_x-33c3dc14517c5d08b2c0869ef52c652b.png?1607038443"
          },
          "background_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/404/two_x/two_x-3fbfb464595f7e136cfccebf36f2b1d8.jpg?1607038443",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/404/three_x/three_x-3fbfb464595f7e136cfccebf36f2b1d8.jpg?1607038443",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/404/three_x/three_x-3fbfb464595f7e136cfccebf36f2b1d8.jpg?1607038443"
          },
          "icon_image": {
            "small": "https://d1uv7brpxddy46.cloudfront.net/images/399/two_x/two_x-a44437b769db59fb777c922088ec840d.png?1607038208",
            "default": "https://d1uv7brpxddy46.cloudfront.net/images/399/three_x/three_x-a44437b769db59fb777c922088ec840d.png?1607038208",
            "large": "https://d1uv7brpxddy46.cloudfront.net/images/399/three_x/three_x-a44437b769db59fb777c922088ec840d.png?1607038208"
          }
        },
        "progress_bar_image": {
          "small": "https://d1uv7brpxddy46.cloudfront.net/images/423/two_x/two_x-ecbb385cc1850f090c6305fcc427293b.png?1608147464",
          "default": "https://d1uv7brpxddy46.cloudfront.net/images/423/three_x/three_x-ecbb385cc1850f090c6305fcc427293b.png?1608147464",
          "large": "https://d1uv7brpxddy46.cloudfront.net/images/423/three_x/three_x-ecbb385cc1850f090c6305fcc427293b.png?1608147464"
        }
      }
    ]
  }
  ```
</ResponseExample>
